%define upstream_name Text-PDF
%define upstream_version 0.31

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6
License:	Artistic
Summary:	Module for manipulating PDF files
Group:		Development/Perl
Source0:	https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
URL:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
BuildArch:	noarch

%description
Perl module to manipulate PDF files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%check
%make_build test

%install
%make_install

%files
%doc examples readme.txt 
%{_mandir}/*/*
%{perl_vendorlib}/Text/
%{_bindir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.310.0-6.mga10
+ Revision: 2204783
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.310.0-5.mga9
+ Revision: 1810463
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-4.mga8
+ Revision: 1506717
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.310.0-3.mga7
+ Revision: 1286974
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.310.0-2.mga7
+ Revision: 1166975
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.310.0-1.mga7
+ Revision: 1155559
- update to 0.31

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0a-3.mga6
+ Revision: 1035056
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.290.0a-2.mga6
+ Revision: 968668
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 0.290.0a-1.mga6
+ Revision: 854329
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.29a-9.mga5
+ Revision: 747170
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.29a-8.mga5
+ Revision: 686638
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.29a-7.mga4
+ Revision: 515505
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.29a-6.mga3
+ Revision: 374128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.29a-5.mga1
+ Revision: 31334
- mageia rebuild
- imported package perl-Text-PDF


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.29a-5mdv2010.0
+ Revision: 430603
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.29a-4mdv2009.0
+ Revision: 258619
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.29a-3mdv2009.0
+ Revision: 246637
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.29a-1mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.29a-1mdv2008.0
+ Revision: 23801
- kill Distribution tag from spec
- 0.29a


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.25-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Dec 25 2003 Michael Scherer <misc@mandrake.org> 0.25-1mdk 
- introdution in contribs, based on Daniel Lacroix <dlacroix@erasme.org> work

